Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 736446 - dev-haskell/x509-validation-1.6.11 fails tests: too many pending signals
Summary: dev-haskell/x509-validation-1.6.11 fails tests: too many pending signals
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-08 19:17 UTC by Agostino Sarubbo
Modified: 2020-08-09 18:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,34.56 KB, text/plain)
2020-08-08 19:17 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-08 19:17:12 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-haskell/x509-validation-1.6.11 fails tests.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue is strictly related to the LLD linker, please block bug 731004.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-08 19:17:17 UTC
Created attachment 653830 [details]
build.log

build log and emerge --info
Comment 2 Sergei Trofimovich gentoo-dev 2020-08-09 18:08:56 UTC
Probably an API change in 'memory' package:

"""
[;1mData/X509/Validation/Fingerprint.hs:24:10: [;1m[35mwarning:[0m[0m[;1m [[;1m[35m-Wmissing-methods[0m[0m[;1m][0m[0m[;1m
    • No explicit implementation for
        ‘memory-0.15.0:Data.ByteArray.Types.length’ and ‘memory-0.15.0:Data.ByteArray.Types.withByteArray’
    • In the instance declaration for ‘ByteArrayAccess Fingerprint’[0m[0m
[;1m[34m   |[0m[0m
[;1m[34m24 |[0m[0m instance [;1m[35mByteArrayAccess Fingerprint[0m[0m
[;1m[34m   |[0m[0m[;1m[35m          ^^^^^^^^^^^^^^^^^^^^^^^^^^^[0m[0m
"""
Comment 3 Sergei Trofimovich gentoo-dev 2020-08-09 18:10:48 UTC
Ah, no it was a warning. Thee error is the:

"""
  Ed448
    signature
      valid:               test-x509-validation: too many pending signals
"""

Internets say it's a disguised SIGSEGV. Did no try to reproduce locally yet.